Subject: bug#21067: 25.0.50; [PATCH] With mercurial, vc-print-log puts point at eob

From: Dmitry Gutov <[email-masked]>
Date: Mon, 30 Nov 2015 05:01:26 +0200

I was looking into applying your patch (except for the very last bit), 
because the idea of treating the asynchronous and synchronous delayed 
code basically seems right, but the current solution (using 
process-mark) will probably be inadequate in the synchronous case.

The semantics we seem to want to guarantee is that every delayed bit of 
code runs at the position the previous left off, but

(goto-char (or m (point-max)))

won't be sufficient, because that position is not necessarily point-max.

But we could try to simplify this semantics ("always runs at point-max" 
is actually easier to reason about than "runs where the previous code 
left off"). That kind of change seems too late for 25.1, though, and 
will require a review of the current vc-exec-after uses.